Skip to main content
POST
/
api
/
external
/
companies
/
{companyId}
/
events
/
{eventId}
/
lawsuit
/
defendants
curl --request POST \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/events/{eventId}/lawsuit/defendants \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "insuredId": "aa0e8400-e29b-41d4-a716-446655440000"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440001"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aiinsurance.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

eventId
string<uuid>
required

Event identifier

Body

application/json
insuredId
string<uuid>

Associated insured identifier (mutually exclusive with nonInsuredName)

nonInsuredName
string

Name of non-insured defendant (mutually exclusive with insuredId)

phoneNumber
string

Defendant phone number

email
string

Defendant email address

attorneyId
string<uuid>

Associated attorney identifier (must reference an existing attorney)

lawFirmId
string<uuid>

Associated law firm payee identifier (must reference an existing payee)

Response

Defendant created

id
string<uuid>

The created defendant identifier